Compatibility guide

Bugsnag is compatible with Node.js 4+.